# Office专用服务器


# 依赖环境
``` bash
apt update
apt install docker.io
```

/etc/docker/daemon.json
``` json
{
	"registry-mirrors": ["https://registry.docker-cn.com",
		"https://dockerhub.azk8s.cn",
		"https://reg-mirror.qiniu.com",
		"http://hub-mirror.c.163.com",
		"https://docker.mirrors.ustc.edu.cn"
	]
}
```

``` bash
# 重启设置源
sudo service docker restart    
```

# 核心服务
## 服务1：coolwsd
- 手册 https://sdk.collaboraonline.com/docs/installation/Configuration.html
- 配置 /etc/coolwsd/coolwsd.xml

``` bash
sudo docker build -t fmode-office .
```

## 服务2：gotenberg

``` bash
sudo docker run --rm -p 3000:3000 gotenberg/gotenberg:8
```